/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"

uint8_t uart_desc0[16];


void cb1(void)
{
    UART1_PutString("Interrupt from DMA fired\n\r");
}


int main(void)
{
    CyGlobalIntEnable;
    
    uart_desc0[0] = '.'; uart_desc0[1] = '.'; uart_desc0[2] = '.'; uart_desc0[3] = '.';  uart_desc0[4] = '.';  uart_desc0[5] = '.';
    
    UART1_Start();
    UART1_PutString("UART is up and running\n\r");
    
    DMA_U1RX_SetInterruptCallback(&cb1);
    DMA_U1RX_Start((void *)UART1_RXDATA_PTR, (void *)uart_desc0);
    
    
    for(;;)
    {
        CyDelay(50);
        UART1_PutChar(uart_desc0[0]); UART1_PutString("  ");
        UART1_PutChar(uart_desc0[1]); UART1_PutString("  ");
        UART1_PutChar(uart_desc0[2]); UART1_PutString("  ");
        UART1_PutChar(uart_desc0[3]); UART1_PutString("  ");
        UART1_PutChar(uart_desc0[4]); UART1_PutString("  ");
        UART1_PutChar(uart_desc0[5]); UART1_PutString("  ");
        UART1_PutString("\r\n");
        
    }
}

/* [] END OF FILE */
